Bug 92205 - perl MakeFile.pl failing for Device-SerialPort-0.13...
Summary: perl MakeFile.pl failing for Device-SerialPort-0.13...
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: perl (Show other bugs)
(Show other bugs)
Version: 9
Hardware: i686 Linux
high
high
Target Milestone: ---
Assignee: Warren Togami
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-03 20:29 UTC by Todd McCullough
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-23 00:59:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Todd McCullough 2003-06-03 20:29:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
This did compile with the source from perl.



[root@getafix Device-SerialPort-0.13]# perl Makefile.PL
Finding ioctl methods ...
trying 'termios.ph'... nope
trying 'asm/termios.ph'... nope
trying 'sys/termiox.ph'... nope
trying 'sys/termios.ph'... not useful
trying 'sys/ttycom.ph'... nope
trying 'sys/modem.ph'... nope
Device::Serial could not find ioctl definitions!
Perl did not find any .ph files to get at least the following ioctls:
        TIOCMBIS
        TIOCMBIC
        TIOCMGET
        CRTSCTS
Please check your Perl installation, or read 'man h2ph'.  As root, you may
need to run:
        cd /usr/include; h2ph -r -l .
before the Perl *.ph files will work.
[root@getafix Device-SerialPort-0.13]#


Version-Release number of selected component (if applicable):
perl-5.8.0-88

How reproducible:
Always

Steps to Reproduce:
1.Get Device-SerialPort-0.13.tar.gz
2.tar -zxvf Device-SerialPort-0.13.tar.gz
3.perl MakFile.Pl
    

Actual Results:  Perl did not find any .ph files to get at least the following
ioctls:
        TIOCMBIS
        TIOCMBIC
        TIOCMGET
        CRTSCTS
Please check your Perl installation, or read 'man h2ph'.  As root, you may
need to run:
        cd /usr/include; h2ph -r -l .
before the Perl *.ph files will work.


NOTE: The h2ph run on specfic files for hours

Expected Results:  It worked with the perl compiled from the origional src from
perl.org


Additional info:


Note You need to log in before you can comment on or make changes to this bug.